Bug 1674001 - Text Mode kickstart installation not fully supported by OSCAP anaconda addon
Summary: Text Mode kickstart installation not fully supported by OSCAP anaconda addon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: oscap-anaconda-addon
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: 8.0
Assignee: Matěj Týč
QA Contact: Release Test Team
Mirek Jahoda
URL:
Whiteboard:
: 1895138 1924058 (view as bug list)
Depends On: 1682523
Blocks: 1890480
TreeView+ depends on / blocked
 
Reported: 2019-02-08 17:04 UTC by Gabriel Gaspar Becker
Modified: 2021-11-10 01:40 UTC (History)
15 users (show)

Fixed In Version: oscap-anaconda-addon-1.2.0-1.el8
Doc Type: Bug Fix
Doc Text:
.`OSCAP Anaconda Addon` now installs all selected packages in text mode Previously, the `OSCAP Anaconda Addon` plugin did not evaluate rules that required certain partition layout or package installations and removals before the installation started when running in text mode. Consequently, when a security policy profile was specified using Kickstart and the installation was running in text mode, any additional packages required by a selected security profile were not installed. `OSCAP Anaconda Addon` now performs the required checks before the installation starts regardless of whether the installation is graphical or text-based, and all selected packages are installed also in text mode.
Clone Of:
Environment:
Last Closed: 2021-11-09 18:50:43 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:4312 0 None None None 2021-11-09 18:50:59 UTC

Description Gabriel Gaspar Becker 2019-02-08 17:04:15 UTC
Description of problem:
Installing RHEL using kickstart file which selects one security profile (eg: ospp) thus requiring packages to be installed (tmux), these packages are not being added properly to the kickstart file during package rules evaluation.


Version-Release number of selected component (if applicable):
oscap-anaconda-addon-1.0-7.el8.noarch
scap-security-guide-0.1.42-8.el8.noarch

How reproducible:
100%

Steps to Reproduce:
1. Start installation using ssg-rhel8-ospp-ks.cfg kickstart file (found scap-security-guide package)
2. After installation finishes, check /root/anaconda-ks.cfg file
3.

Actual results:
section %package does NOT contains tmux package


Expected results:
section %package contains tmux package


Additional info:

Comment 1 Gabriel Gaspar Becker 2019-02-11 16:16:48 UTC

*** This bug has been marked as a duplicate of bug 1547609 ***

Comment 18 Matěj Týč 2021-08-04 15:51:40 UTC
*** Bug 1895138 has been marked as a duplicate of this bug. ***

Comment 19 Matěj Týč 2021-08-04 15:52:13 UTC
*** Bug 1924058 has been marked as a duplicate of this bug. ***

Comment 20 Jan Stodola 2021-08-05 13:42:42 UTC
Mirku, the doc text for this bug should be updated, since this will not be a know issue, but a bug fix in RHEL-8.5. Can you please update the doc type/text?

Once the documentation is corrected, the bug can be moved to VERIFIED, oscap-anaconda-addon-1.2.0-2.el8 is present in RHEL-8.5.0-20210730.n.0.

Comment 21 Matěj Týč 2021-08-05 14:37:20 UTC
I have updated the doc text, but it will certainly need doc team's attention.

Comment 22 Jan Stodola 2021-08-17 11:38:16 UTC
The proposed doc text looks good to me.

oscap-anaconda-addon-1.2.1-2.el8 is present in RHEL-8.5.0-20210816.n.0, moving to VERIFIED.

Comment 25 errata-xmlrpc 2021-11-09 18:50:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (oscap-anaconda-addon bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4312


Note You need to log in before you can comment on or make changes to this bug.